Speckle Unity Install Fail

Hi there,

I’m following the instructions to install the Unity client: https://speckleworks.github.io/SpeckleUnity/articles/howToInstall.html/. I keep trying the scoped registry approach and it keeps failing. Thought I would ask an expert before proceeding to try the OpenUMP CLI approach.

I am on Unity 2020.1.4f1. When I add “scopedRegistries…” JArray to my manifest.json, I get no errors but Speckle doesn’t appear in my package manager (nor am I able to create the SpeckleUnityManager gameobject). When I proceed to add the “com.open.speckleunity”: “0.6.3-preview” to the dependencies section of the manifest.json I get the following error:

An error occurred while resolving packages:

  • Project has invalid dependencies:*
  • com.open.speckleunity: connect ETIMEDOUT 35.227.114.200:8080*

A re-import of the project may be required to fix the issue or a manual modification of D:/CRTKL/CRTKL/GitHub/Agent-Navigation-Test/Packages/manifest.json file.

Help please :slight_smile:

Thanks in advance for your time!
Marco

#unity

Was able to make it work using the OpenUMP install!! :slight_smile:

3 Likes

hi @mjuliani glad you got it working! I took a look at my package registry and it looks like my server is down! The open ump route will definitely be more reliable than my server though if you want you can also clone the repo and load the package in locally into your project.

If you have any feedback or questions for the package please post on the forum and I’ll get back to you.

The development for this package is currently on hold until Speckle 2.0 is fully released since it makes a number of changes under the hood. So things will likely pick up again towards the end of the year!